using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_lesService.Database.Models;

[Table("rule_types")]
[Index(nameof(RuleType.Identifier), IsUnique = true)]
public class RuleType
{
    [Key]
    [Column("id_rule_type")]
    public int Identifier { get; set; }
    
    [Column("rule_type")]
    public string Type { get; set; }
}